View Issue Details

IDProjectCategoryView StatusLast Update
0005502GNUnetnamestore servicepublic2019-02-28 11:17
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005502: namecache_api::block_cache lacks flow control
DescriptionAs a result, the mq.c:345 assertion triggers when the namestore process gets, eh, busy.
TagsNo tags attached.

Activities

Christian Grothoff

2018-12-15 20:23

manager   ~0013415

What is odd is that namestore (sending process) is at 100% CPU with 100k+ messages in the queue, while namecache (receiving process) is completely idle.

Maybe the issue is that namecache stopped processing messages?

Christian Grothoff

2018-12-15 21:30

manager   ~0013416

This looks odd:

rexxnor@sam:~/gnunet$ lsof -p 8981 2> /dev/null | grep unix
gnunet-se 8981 rexxnor 3u unix 0xffff9f61bef0f400 0t0 1133704469 /home/rexxnor/local/tmp/gnunet-service-namecache.sock type=STREAM
gnunet-se 8981 rexxnor 10u unix 0xffff9f6c367fe400 0t0 1133670038 /home/rexxnor/local/tmp/gnunet-service-namecache.sock type=STREAM
gnunet-se 8981 rexxnor 11u unix 0xffff9f6caf96c000 0t0 1133670041 /home/rexxnor/local/tmp/gnunet-service-namecache.sock type=STREAM
rexxnor@sam:~/gnunet$ lsof -p 8977 2> /dev/null | grep unix
gnunet-se 8977 rexxnor 3u unix 0xffff9f61f1589400 0t0 1133704489 /tmp/gnunet-rexxnor-runtime//gnunet-service-namestore.sock type=STREAM
gnunet-se 8977 rexxnor 9u unix 0xffff9f7457db4000 0t0 1133681927 type=STREAM
gnunet-se 8977 rexxnor 10u unix 0xffff9f6c365cc000 0t0 1133681928 /tmp/gnunet-rexxnor-runtime//gnunet-service-namestore.sock type=STREAM
gnunet-se 8977 rexxnor 11u unix 0xffff9f7a6cbaec00 0t0 1133681929 /tmp/gnunet-rexxnor-runtime//gnunet-service-namestore.sock type=STREAM
gnunet-se 8977 rexxnor 12u unix 0xffff9f7520a1b000 0t0 1133681930 /tmp/gnunet-rexxnor-runtime//gnunet-service-namestore.sock type=STREAM
gnunet-se 8977 rexxnor 13u unix 0xffff9f7bdb23a400 0t0 1133681932 type=STREAM
gnunet-se 8977 rexxnor 20u unix 0xffff9f6cc147f000 0t0 1144824118 /tmp/gnunet-rexxnor-runtime//gnunet-service-namestore.sock type=STREAM


Note that the namecache process has /home/rexxnor/local/tmp/ for the unix path, while the namestore process has /tmp/gnunet-rexxnor-runtime/. So maybe the two are not even talking to each other at all?

Christian Grothoff

2019-01-10 17:46

manager   ~0013456

Logic to add flow control was added in 722feeecccf0194b9912a5fff873be087fc65528

Issue History

Date Modified Username Field Change
2018-12-15 20:21 Christian Grothoff New Issue
2018-12-15 20:21 Christian Grothoff Status new => assigned
2018-12-15 20:21 Christian Grothoff Assigned To => Christian Grothoff
2018-12-15 20:23 Christian Grothoff Note Added: 0013415
2018-12-15 21:30 Christian Grothoff Note Added: 0013416
2019-01-10 17:46 Christian Grothoff Note Added: 0013456
2019-01-10 17:47 Christian Grothoff Status assigned => resolved
2019-01-10 17:47 Christian Grothoff Resolution open => fixed
2019-01-10 17:47 Christian Grothoff Fixed in Version => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed